Get user role changes

Returns a paged list of agent role changes.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Scope

guardian-users:read

Path Params
string
required
length between 1 and 255

Id of the user to fetch roles

Query Params
string
required

Allows filtering by using comparison and logical operators.


  • To search parts of a string within a field of type string then the contains operator should be used.

    The syntax is the following: contains(field, 'value')



  • Logical operators are and and or.

    When using multiple ANDs and ORs, you should use parentheses to explicitly define the logical operators evaluation order.

    (note: this is recommended because the usual precedence rules aren't supported due to an implementation detail).


    Examples:

    • (contains(user_id, 'agent1') or contains(user_id, 'agent2')) and active eq true

    • contains(user_id, 'agent1')


    More information here

    string
    Defaults to assigned_at:asc

    Sorts by the indicated field in the specified direction, ascending or descending.
    The expression format may contain the suffix asc or desc separated from the property name with a colon in between.

    Examples:


    • login_timestamp:desc

    More information here

    int32
    1 to 2147483647
    Defaults to 1
    int32
    1 to 250
    Defaults to 20
    Responses

    Language
    Credentials
    OAuth2
    Missing 1 required scope
    URL
    LoadingLoading…
    Response
    Click Try It! to start a request and see the response here! Or choose an example:
    application/json